> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get per-deployment observability summary

GET https://astropods.com/api/v1/accounts/{account}/observability/deployments-summary

Reference: https://docs.astropods.com/api-reference/astropods-api/observability/get-per-deployment-observability-summary

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name

### Query parameters

- `from` (string, optional) — Period start (RFC3339)
- `to` (string, optional) — Period end (RFC3339)

## Response

### 200

OK

- `deployments` (list of DeploymentSummaryEntry, optional)
- `metrics_unavailable` (boolean, optional)
- `period` (AccountSummaryPeriod, optional)

## Types

### DeploymentSummaryEntry

- `agent_name` (string, optional)
- `cost_over_time` (list of DeploymentDailyCost, optional)
- `cost_per_request` (double, optional)
- `cost_usd` (double, optional)
- `deployment_id` (string, optional)
- `display_name` (string, optional)
- `input_tokens` (integer, optional)
- `is_archived` (boolean, optional)
- `last_seen` (string, optional)
- `namespace` (string, optional)
- `output_tokens` (integer, optional)
- `p95_latency_ms` (integer, optional)
- `requests` (integer, optional)
- `requests_over_time` (list of DeploymentDailyRequests, optional)
- `tok_per_request` (double, optional)
- `tokens_over_time` (list of DeploymentDailyTokens, optional)
- `top_model` (string, optional)
- `total_tokens` (integer, optional)
- `undeployed_at` (datetime, optional, nullable)
- `users_used` (list of string, optional)
- `users_used_details` (list of UserIdentity, optional)

### AccountSummaryPeriod

- `days` (integer, optional)
- `end` (string, optional)
- `start` (string, optional)

### DeploymentDailyCost

- `cost_usd` (double, optional)
- `date` (string, optional)

### DeploymentDailyRequests

- `date` (string, optional)
- `requests` (integer, optional)

### DeploymentDailyTokens

- `date` (string, optional)
- `input_tokens` (integer, optional)
- `output_tokens` (integer, optional)
- `total_tokens` (integer, optional)

### UserIdentity

- `user_details` (UserDetails, optional)
- `user_id` (string, optional)

### UserDetails

- `avatar_url` (string, optional)
- `deleted` (boolean, optional)
- `display_name` (string, optional)
- `is_bot` (boolean, optional)
- `kind` (string, optional)
- `team_id` (string, optional)
- `username` (string, optional)

## Examples

**Response**

```json
{
  "deployments": [
    {
      "agent_name": "string",
      "cost_over_time": [
        {
          "cost_usd": 1.1,
          "date": "string"
        }
      ],
      "cost_per_request": 1.1,
      "cost_usd": 1.1,
      "deployment_id": "string",
      "display_name": "string",
      "input_tokens": 1,
      "is_archived": true,
      "last_seen": "string",
      "namespace": "string",
      "output_tokens": 1,
      "p95_latency_ms": 1,
      "requests": 1,
      "requests_over_time": [
        {
          "date": "string",
          "requests": 1
        }
      ],
      "tok_per_request": 1.1,
      "tokens_over_time": [
        {
          "date": "string",
          "input_tokens": 1,
          "output_tokens": 1,
          "total_tokens": 1
        }
      ],
      "top_model": "string",
      "total_tokens": 1,
      "undeployed_at": "2024-01-15T09:30:00Z",
      "users_used": [
        "string"
      ],
      "users_used_details": [
        {
          "user_details": {
            "avatar_url": "string",
            "deleted": true,
            "display_name": "string",
            "is_bot": true,
            "kind": "string",
            "team_id": "string",
            "username": "string"
          },
          "user_id": "string"
        }
      ]
    }
  ],
  "metrics_unavailable": true,
  "period": {
    "days": 1,
    "end": "string",
    "start": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/observability/deployments-summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/observability/deployments-summary';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/observability/deployments-summary"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/observability/deployments-summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/observability/deployments-summary")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/observability/deployments-summary', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/observability/deployments-summary");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/observability/deployments-summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```